summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorfzerorubigd2018-01-01 19:14:21 +0330
committerfzerorubigd2018-01-01 19:14:21 +0330
commitaec9060ad8efcf9fa89c8bc473a11eb45c8ce174 (patch)
tree1457ac17314e45f19822ff8751a41a8844951545
downloadaur-yubipam-git.tar.gz
initial commit
-rw-r--r--.SRCINFO14
-rw-r--r--.gitignore11
-rw-r--r--PKGBUILD32
-rw-r--r--yubipam-git.install11
4 files changed, 68 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..6c1f6c955e8
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = yubipam-git
+ pkgdesc = YubiPAM is a module for PAM that provides support for One Time Passwords (OTP) authentication.
+ pkgver = r41.9427495
+ pkgrel = 1
+ url = https://github.com/firnsy/yubipam
+ install = yubipam-git.install
+ arch = any
+ license = GPL-2
+ provides = yubipam
+ source = git://github.com/fzerorubigd/yubipam.git
+ md5sums = SKIP
+
+pkgname = yubipam-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..0045cadbfc4
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,11 @@
+*.xz
+*.zip
+*.deb
+*.tar.gz
+*.tar.gz.asc
+*.tgz
+*.bz2
+/pkg
+/src
+*.gz
+rc
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..11eb87b9a7d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: fzerorubigd <fzero@rubi.gd>
+
+pkgname=yubipam-git
+pkgver=r41.9427495
+pkgrel=1
+pkgdesc="YubiPAM is a module for PAM that provides support for One Time Passwords (OTP) authentication."
+url="https://github.com/firnsy/yubipam"
+arch=(any)
+license=('GPL-2')
+depends=()
+makedepends=()
+source=("git://github.com/fzerorubigd/yubipam.git")
+md5sums=('SKIP')
+provides=('yubipam')
+pkgver() {
+ cd "$srcdir/yubipam"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+install=$pkgname.install
+
+package() {
+ cd $srcdir/yubipam
+ autoreconf -i
+ ./configure
+ make
+ make DESTDIR=$pkgdir install
+ mv $pkgdir/lib $pkgdir/usr/
+}
diff --git a/yubipam-git.install b/yubipam-git.install
new file mode 100644
index 00000000000..dda71d98c3b
--- /dev/null
+++ b/yubipam-git.install
@@ -0,0 +1,11 @@
+post_install() {
+ groupadd yubiauth
+ touch /etc/yubikey
+ chgrp yubiauth /etc/yubikey /usr/local/sbin/yk_chkpwd
+ chmod g+rw /etc/yubikey
+ chmod g+s /usr/local/sbin/yk_chkpwd
+}
+
+post_remove() {
+ groupdel yubiauth
+}